%global icon_themes hicolor

Name:           gnome-2048
Version:        3.18.2
Release:        2%{?dist}
Summary:        A 2048 clone for GNOME

License:        GPLv3+
URL:            https://wiki.gnome.org/Apps/2048
Source0:        http://download.gnome.org/sources/gnome-2048/3.18/gnome-2048-%{version}.tar.xz

Patch1: 0001-Disable-undo-on-new-game-bgo-759888.patch
Patch2: 0002-Undo-score-change-with-undo-move-bgo-756758.patch
Patch3: 0003-Fixed-the-congrat-message-translation-template-bgo-7.patch
BuildRequires: vala-tools

BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(clutter-1.0)
BuildRequires:  pkgconfig(clutter-gtk-1.0)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(appstream-glib)
BuildRequires:  pkgconfig(libgames-support-1.0)

BuildRequires:  intltool itstool
BuildRequires:  desktop-file-utils


%description
A GNOME clone of the popular game 2048
http://en.wikipedia.org/wiki/2048_(video_game)


%prep
%autosetup -p1


%build
%configure
make %{?_smp_mflags} V=1


%install
%make_install
%find_lang %{name} --with-gnome
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/org.gnome.gnome-2048.desktop


%post
for theme in %{icon_themes} ; do
  touch --no-create %{_datadir}/icons/$theme &>/dev/null || :
done


%postun
if [ $1 -eq 0 ]; then
  for theme in %{icon_themes} ; do
    touch --no-create %{_datadir}/icons/$theme &> /dev/null
    gtk-update-icon-cache %{_datadir}/icons/$theme &> /dev/null || :
  done
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi


%posttrans
for theme in %{icon_themes} ; do
  gtk-update-icon-cache %{_datadir}/icons/$theme &>/dev/null || :
done
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :


%files -f %{name}.lang
%license COPYING
%{_bindir}/gnome-2048
%{_datadir}/appdata/org.gnome.gnome-2048.appdata.xml
%{_datadir}/applications/org.gnome.gnome-2048.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.2048.gschema.xml
%{_datadir}/icons/hicolor/*/apps/gnome-2048*


%changelog
* Tue Jan 19 2016 Yanko Kaneti <yaneti@declera.com> - 3.18.2-2
- Some patches from master - Bug #1242658 , Bug #1272675

* Thu Nov 12 2015 Kalev Lember <klember@redhat.com> - 3.18.2-1
- Update to 3.18.2

* Mon Oct 12 2015 Yanko Kaneti <yaneti@declera.com> - 3.18.1-1
- Update to 3.18.1
- Drop upstreamed patch
- Unbundle libgames-support again

* Sat Sep 26 2015 Yanko Kaneti <yaneti@declera.com> - 3.18.0-2
- Add patch to fix crash on startup. Bug #1266656

* Mon Sep 21 2015 Yanko Kaneti <yaneti@declera.com> - 3.18.0-1
- Update to 3.18.0. New libgames-support snapshot

* Tue Sep  1 2015 Yanko Kaneti <yaneti@declera.com> - 3.17.91
- Update to 3.17.91

* Tue Aug 18 2015 Yanko Kaneti <yaneti@declera.com> - 3.17.90
- Update to 3.17.90. Bundle libgames-support again

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.17.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun  7 2015 Yanko Kaneti <yaneti@declera.com> - 3.17.1
- First official release - 3.17.1

* Tue Apr 21 2015 Yanko Kaneti <yaneti@declera.com> - 0.1.0-0.5.git3ea1464
- Unbundle libgames-support

* Tue Apr 21 2015 Yanko Kaneti <yaneti@declera.com> - 0.1.0-0.4.3ea1464
- Filter libgames-support from requires and provides

* Wed Apr 15 2015 Yanko Kaneti <yaneti@declera.com> - 0.1.0-0.3.3ea1464
- Update to upstream master.
- Temporarily bundle libgames-support until in gets in the distribution
  Review - https://bugzilla.redhat.com/show_bug.cgi?id=1195614 
- Use license macro
- Make builds verbose

* Fri Apr  3 2015 Yanko Kaneti <yaneti@declera.com> - 0.1.0-0.2.83c5a4a
- Apply upstream patch for bug 1208841

* Wed Jan 14 2015 Yanko Kaneti <yaneti@declera.com> - 0.1.0-0.1.83c5a4a
- Packaging attempt
